<!DOCTYPE html>
<html lang="en"
      xmlns:th="http://www.thymeleaf.org"
      xmlns:sec="http://www.thymeleaf.org/extras/spring-security">
    <head>
        <title>Virtual Teacher</title>
        <!-- Required meta tags -->
        <meta charset="utf-8">
        <meta name="viewport" content="width=device-width, initial-scale=1, shrink-to-fit=no">

        <!-- Bootstrap CSS -->
        <link rel="stylesheet" href="https://stackpath.bootstrapcdn.com/bootstrap/4.3.1/css/bootstrap.min.css" integrity="sha384-ggOyR0iXCbMQv3Xipma34MD+dH/1fQ784/j6cY/iJTQUOhcWr7x9JvoRxT2MZw1T" crossorigin="anonymous">
    </head>
    <body>
        <nav class="navbar navbar-expand navbar-light bg-light">
            <div class="col-sm-3">
                <a class="navbar-brand" th:href="@{/home}">Virtual Teacher</a>
                <a class="navbar-brand" sec:authorize="hasRole('ADMIN')" th:href="@{/users}">Users</a>
            </div>
            <input class="form-control col-sm-5" type="search" placeholder="Search topic, course & teachers" aria-label="Search" style="display:inline;">
            <div class="col-sm-4 text-right" sec:authorize="isAnonymous()">
                <a class="btn btn-link" th:href="@{/login}">Login</a>
                <a class="btn btn-primary" th:href="@{/register}">JOIN NOW</a>
            </div>
            <div class="col-sm-4" sec:authorize="isAuthenticated()">
                <div class="row float-right">
                    <a class="navbar-brand" th:href="@{'/users/' + ${user.id}}">Profile</a>
                    <form th:action="@{/logout}" method="post">
                        <input class="btn btn-primary" type="submit" value="Logout" />
                    </form>
                </div>
            </div>
        </nav>
        <div class="container" sec:authorize="hasRole('TEACHER')">
            <p class="text-danger" th:if="${addAssessmentExceptionMessage}" th:text="${addAssessmentExceptionMessage}"></p>
            <p class="text-success" th:if="${addAssessmentMessage}" th:text="${addAssessmentMessage}"></p>
            <h1 class="mt-3">Solutions</h1>
            <table class="table">
                <thead>
                    <tr>
                        <th scope="col">#</th>
                        <th scope="col">Student</th>
                        <th scope="col">Course</th>
                        <th scope="col">Lecture</th>
                        <th scope="col">Assignment</th>
                    </tr>
                    </thead>
                    <tbody>
                        <tr th:each="solution : ${solutions}">
                            <td th:text="${solution.id}"></td>
                            <td th:text="${solution.author.username}"></td>
                            <td th:text="${solution.assignment.lecture.course.title}"></td>
                            <td th:text="${solution.assignment.lecture.title}"></td>
                            <td th:text="${solution.assignment.title}"></td>
                            <td><a th:href="@{${solution.filePath}}">Download solution</a></td>
                            <td sec:authorize="hasRole('TEACHER')">
                                <form th:action="@{solutions/assessments/{solutionid}/(solutionid=${solution.id})}" method="post">
                                    <select id="gra" name="grade">
                                        <option th:if="${solution.grade != -1}" th:text="${solution.grade}" selected></option>
                                        <option th:each="i : ${#numbers.sequence(1, 5)}" th:value="${i}" th:text="${i}">
                                    </select>
                                    <input type="submit" value="Assess" text="submit"/>
                                </form>
                            </td>
                        </tr>
                    </tbody>
            </table>
        </div>
    </body>
</html>